#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 ghcide
version:              1.4.0.3
visibility:           public
id:                   ghcide-1.4.0.3-DaG8Z99riC6EZzxw5ww9RS
key:                  ghcide-1.4.0.3-DaG8Z99riC6EZzxw5ww9RS
license:              Apache-2.0
copyright:            Digital Asset and Ghcide contributors 2018-2020
maintainer:           Ghcide contributors
author:               Digital Asset and Ghcide contributors
homepage:
    https://github.com/haskell/haskell-language-server/tree/master/ghcide#readme

synopsis:             The core of an IDE
description:          A library for building Haskell IDE'\''s on top of the GHC API.
category:             Development
abi:                  1e838899be87383e2e8d9042bc1fef17
exposed:              True
exposed-modules:
    Control.Concurrent.Strict Development.IDE
    Development.IDE.Core.Actions Development.IDE.Core.Compile
    Development.IDE.Core.Debouncer Development.IDE.Core.FileStore
    Development.IDE.Core.IdeConfiguration
    Development.IDE.Core.OfInterest
    Development.IDE.Core.PositionMapping
    Development.IDE.Core.Preprocessor
    Development.IDE.Core.ProgressReporting
    Development.IDE.Core.RuleTypes Development.IDE.Core.Rules
    Development.IDE.Core.Service Development.IDE.Core.Shake
    Development.IDE.Core.Tracing Development.IDE.Core.UseStale
    Development.IDE.GHC.Compat Development.IDE.GHC.Error
    Development.IDE.GHC.ExactPrint Development.IDE.GHC.Orphans
    Development.IDE.GHC.Util
    Development.IDE.Import.DependencyInformation
    Development.IDE.Import.FindImports
    Development.IDE.LSP.HoverDefinition
    Development.IDE.LSP.LanguageServer Development.IDE.LSP.Outline
    Development.IDE.LSP.Server Development.IDE.Main
    Development.IDE.Plugin Development.IDE.Plugin.CodeAction
    Development.IDE.Plugin.CodeAction.ExactPrint
    Development.IDE.Plugin.Completions
    Development.IDE.Plugin.Completions.Types Development.IDE.Plugin.HLS
    Development.IDE.Plugin.HLS.GhcIde Development.IDE.Plugin.Test
    Development.IDE.Plugin.TypeLenses Development.IDE.Session
    Development.IDE.Spans.AtPoint Development.IDE.Spans.Common
    Development.IDE.Spans.Documentation
    Development.IDE.Spans.LocalBindings
    Development.IDE.Types.Diagnostics Development.IDE.Types.Exports
    Development.IDE.Types.HscEnvEq Development.IDE.Types.KnownTargets
    Development.IDE.Types.Location Development.IDE.Types.Logger
    Development.IDE.Types.Options Development.IDE.Types.Shake
    Generics.SYB.GHC

hidden-modules:
    Development.IDE.Core.FileExists Development.IDE.GHC.CPP
    Development.IDE.GHC.Warnings Development.IDE.LSP.Notifications
    Development.IDE.Plugin.CodeAction.PositionIndexed
    Development.IDE.Plugin.CodeAction.Args
    Development.IDE.Plugin.Completions.Logic
    Development.IDE.Session.VersionCheck Development.IDE.Types.Action

import-dirs:          /usr/lib/ghc-9.0.1/site-local/ghcide-1.4.0.3
library-dirs:         /usr/lib/ghc-9.0.1/site-local/ghcide-1.4.0.3
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-9.0.1/ghcide-1.4.0.3
hs-libraries:         HSghcide-1.4.0.3-DaG8Z99riC6EZzxw5ww9RS
depends:
    Diff-0.4.0-F7vyJzYzam9CwrUJdg8bD2
    Glob-0.10.1-HqUgEvDJTpbJYtVR0uip6r
    aeson-1.5.6.0-FH3TyhjfoU9J1nOiG0i6k4 array-0.5.4.0
    async-2.2.3-CNKeORWECfU30PugVlDwF base-4.15.0.0
    base16-bytestring-1.0.1.0-HXSezMzC3SDLTCkEKReMIC binary-0.8.8.0
    bytestring-0.10.12.1
    bytestring-encoding-0.1.1.0-1BL5s4j310e5lcbi931IGR
    case-insensitive-1.2.1.0-FKp51bEmfkR2kjysydnPyg containers-0.6.4.1
    cryptohash-sha1-0.11.100.1-76A50UqL08yHXaRzujd3cE
    data-default-0.7.1.1-IvZDod4GR1F6QW3rWcNSTn deepseq-1.4.5.0
    dependent-map-0.4.0.0-6NGmkjFlxy57EZYnZ7jgXa
    dependent-sum-0.7.1.0-4ZprAQE4IBfJAxzxEwfPBw directory-1.3.6.1
    dlist-1.0-A8ZakkvDKerBegx9VfkpzR
    extra-1.7.10-KOWRGAauShoAqEhi1tCnMz filepath-1.4.2.1
    fingertree-0.1.4.2-GgEmA6cX5Fs16OkjUWSlx5
    fuzzy-0.1.0.0-31FUqgDFH0kJvJL7uWbShB ghc-9.0.1
    ghc-api-compat-8.6.1-3GYFFbfr2XZ391lwrGN6OF ghc-boot-9.0.1
    ghc-boot-th-9.0.1 ghc-check-0.5.0.6-FjGSnPhiNMh4jPHigjmG4G
    ghc-exactprint-0.6.4-LnxJYZ4WJAuGKRpkbwevUI
    ghc-paths-0.1.0.12-D0EghxpsajHHuX2KoHY7KF
    ghc-trace-events-0.1.2.3-H9i6ubksa059TveTClHHiR
    haddock-library-1.10.0-K9HqUjwbO9S8DAUYGhWrpN
    hashable-1.3.3.0-BjQXPnRjTz0I5yXUcLzcAY
    heapsize-0.3.0.1-3K9rqFEWAMZL4mWObYoNMR
    hie-bios-0.7.5-1VHN2V9o5ml3E33XKzsiI3
    hie-compat-0.2.0.0-HHVbuGAk8zeLJ4sWoPjDO6
    hiedb-0.4.0.0-IF3pbsDCp8EBuRnmbt7jDT
    hls-graph-1.4.0.0-InojBC9WrgB75KffKRs5NL
    hls-plugin-api-1.1.0.2-AfmaNwfyKAd7cI5xZDgzC8
    hslogger-1.3.1.0-DxgUIvlMff65YP33agrFaU
    implicit-hie-cradle-0.3.0.5-9KpVKobwGZI2zEmWSUyPgu
    lens-5.0.1-JARNcyPBw8gAo3FWHRCpjy
    lsp-1.2.0.0-3GjGXg7gNYsA4yR8er8w5M
    lsp-types-1.2.0.0-A4gh5aUnYJlJYpxA4sOB4F mtl-2.2.2
    network-uri-2.6.4.1-7S4IWE3bUhZ8SkxqSVXpP2
    opentelemetry-0.7.0-JBCMOK8AQW05VWxe2g9f4d
    optparse-applicative-0.16.1.0-IksDqZoOuZ2DhYLXZrLicB
    parallel-3.2.2.0-G9JTeCQCHda2yggytvFxi6
    prettyprinter-1.7.1-BNHfybh6rZrHoOyFD7RXCs
    prettyprinter-ansi-terminal-1.1.3-GFZoBEpuVIoB5sqLoh6QNe
    regex-tdfa-1.3.1.1-8KBKH3EsotI2v3BWqoG8PB
    retrie-1.0.0.0-F5oZpul43l6JCYbb4rOtvt
    rope-utf16-splay-0.3.2.0-L1Ylk5eCdaKE536ULjGqMD
    safe-0.3.19-BCcHjTM7bV690cTfMWPidj
    safe-exceptions-0.1.7.2-Bm7d3OZ9EQbJpiXD7szDLr
    sorted-list-0.2.1.0-GAuY2s8imm748N24vRN1OU
    sqlite-simple-0.4.18.0-2zcdzOodlUAB6OK7iK0f6g stm-2.5.0.0
    syb-0.7.2.1-3ORM9hCNu8V5barlF73jrL text-1.2.4.1 time-1.9.3
    transformers-0.5.6.2 unix-2.7.2.2
    unliftio-0.2.19-7bSKH5w84aQJYwLJMPQWSo
    unliftio-core-0.2.0.1-2baD1vXgUkB5a1NRn2rSLN
    unordered-containers-0.2.14.0-DBDZ3ZaaKWNDxQAlLFMrPR
    utf8-string-1.0.2-FSV4F6pxd5y7PjtRkbEpDf
    vector-0.12.3.0-7AyAfn90uRLJwvulX46pQG

haddock-interfaces:   /usr/share/doc/haskell-ghcide/html/ghcide.haddock
haddock-html:         /usr/share/doc/haskell-ghcide/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

